<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Sound Manager: R:/SoundManagerBinding/src/sm-helper.c File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Sound Manager
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('sm-helper_8c.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">sm-helper.c File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &quot;<a class="el" href="sm-helper_8h_source.html">sm-helper.h</a>&quot;</code><br />
<code>#include &lt;stdlib.h&gt;</code><br />
<code>#include &lt;string.h&gt;</code><br />
<code>#include &lt;limits.h&gt;</code><br />
<code>#include &lt;json-c/json.h&gt;</code><br />
<code>#include &lt;stdarg.h&gt;</code><br />
</div>
<p><a href="sm-helper_8c_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:a649900645417f2df3a70b9ad67529f53"><td class="memItemLeft" align="right" valign="top"><a class="el" href="sm-helper_8h.html#aa49f1dbbf26f01627a5737cf43aad899">REQ_ERROR</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="sm-helper_8c.html#a649900645417f2df3a70b9ad67529f53">get_value_uint16</a> (const struct afb_req request, const char *source, uint16_t *out_id)</td></tr>
<tr class="separator:a649900645417f2df3a70b9ad67529f53"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2e62366684e39ea94436bf017e416827"><td class="memItemLeft" align="right" valign="top"><a class="el" href="sm-helper_8h.html#aa49f1dbbf26f01627a5737cf43aad899">REQ_ERROR</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="sm-helper_8c.html#a2e62366684e39ea94436bf017e416827">get_value_int16</a> (const struct afb_req request, const char *source, int16_t *out_id)</td></tr>
<tr class="separator:a2e62366684e39ea94436bf017e416827"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac5b0370643c520377afd3fd4891918d2"><td class="memItemLeft" align="right" valign="top"><a class="el" href="sm-helper_8h.html#aa49f1dbbf26f01627a5737cf43aad899">REQ_ERROR</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="sm-helper_8c.html#ac5b0370643c520377afd3fd4891918d2">get_value_int32</a> (const struct afb_req request, const char *source, int32_t *out_id)</td></tr>
<tr class="separator:ac5b0370643c520377afd3fd4891918d2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abce7df03d817a3356071f1563011b77f"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="sm-helper_8c.html#abce7df03d817a3356071f1563011b77f">sm_add_object_to_json_object</a> (struct json_object *j_obj, int count,...)</td></tr>
<tr class="separator:abce7df03d817a3356071f1563011b77f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a67cdeffaf2fd293c9f7de73c64e851a9"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="sm-helper_8c.html#a67cdeffaf2fd293c9f7de73c64e851a9">sm_add_object_to_json_object_func</a> (struct json_object *j_obj, const char *verb_name, int count,...)</td></tr>
<tr class="separator:a67cdeffaf2fd293c9f7de73c64e851a9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a971c6c55c9b04ae87c377fbde6a4c6f6"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="sm-helper_8c.html#a971c6c55c9b04ae87c377fbde6a4c6f6">sm_search_event_name_index</a> (const char *value)</td></tr>
<tr class="separator:a971c6c55c9b04ae87c377fbde6a4c6f6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2a63791cfba48b0456aefafe237e419e"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="sm-helper_8c.html#a2a63791cfba48b0456aefafe237e419e">sm_search_routing_event_name_index</a> (const char *value)</td></tr>
<tr class="separator:a2a63791cfba48b0456aefafe237e419e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3da984668307f39d541053eba1d78a83"><td class="memItemLeft" align="right" valign="top">GVariant *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="sm-helper_8c.html#a3da984668307f39d541053eba1d78a83">create_source_data</a> (guint16 sourceID, guint16 domainID, const char *appname, guint16 sourceClassID, gint32 sourceState, gint16 volume, gboolean visible, struct <a class="el" href="structavailability__s.html">availability_s</a> availables, guint16 interrupt, struct <a class="el" href="structsound__property__s.html">sound_property_s</a> soundPropertyList, gint32 connectionFormatList, struct <a class="el" href="structmain__sound__property__s.html">main_sound_property_s</a> mainPropertyList, struct <a class="el" href="structnotification__config__s.html">notification_config_s</a> NConfRouting, struct <a class="el" href="structnotification__config__s.html">notification_config_s</a> NConfCommand)</td></tr>
<tr class="separator:a3da984668307f39d541053eba1d78a83"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af76a3fdf18a0f4ce83e6732e34d30344"><td class="memItemLeft" align="right" valign="top">GVariant *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="sm-helper_8c.html#af76a3fdf18a0f4ce83e6732e34d30344">create_domain_data</a> (struct <a class="el" href="structdomain__data.html">domain_data</a> *data)</td></tr>
<tr class="separator:af76a3fdf18a0f4ce83e6732e34d30344"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Function Documentation</h2>
<a id="af76a3fdf18a0f4ce83e6732e34d30344"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af76a3fdf18a0f4ce83e6732e34d30344">&#9670;&nbsp;</a></span>create_domain_data()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">GVariant* create_domain_data </td>
          <td>(</td>
          <td class="paramtype">struct <a class="el" href="structdomain__data.html">domain_data</a> *&#160;</td>
          <td class="paramname"><em>data</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="sm-helper_8c_source.html#l00218">218</a> of file <a class="el" href="sm-helper_8c_source.html">sm-helper.c</a>.</p>

</div>
</div>
<a id="a3da984668307f39d541053eba1d78a83"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3da984668307f39d541053eba1d78a83">&#9670;&nbsp;</a></span>create_source_data()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">GVariant* create_source_data </td>
          <td>(</td>
          <td class="paramtype">guint16&#160;</td>
          <td class="paramname"><em>sourceID</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">guint16&#160;</td>
          <td class="paramname"><em>domainID</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>appname</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">guint16&#160;</td>
          <td class="paramname"><em>sourceClassID</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">gint32&#160;</td>
          <td class="paramname"><em>sourceState</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">gint16&#160;</td>
          <td class="paramname"><em>volume</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">gboolean&#160;</td>
          <td class="paramname"><em>visible</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">struct <a class="el" href="structavailability__s.html">availability_s</a>&#160;</td>
          <td class="paramname"><em>availables</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">guint16&#160;</td>
          <td class="paramname"><em>interrupt</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">struct <a class="el" href="structsound__property__s.html">sound_property_s</a>&#160;</td>
          <td class="paramname"><em>soundPropertyList</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">gint32&#160;</td>
          <td class="paramname"><em>connectionFormatList</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">struct <a class="el" href="structmain__sound__property__s.html">main_sound_property_s</a>&#160;</td>
          <td class="paramname"><em>mainPropertyList</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">struct <a class="el" href="structnotification__config__s.html">notification_config_s</a>&#160;</td>
          <td class="paramname"><em>NConfRouting</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">struct <a class="el" href="structnotification__config__s.html">notification_config_s</a>&#160;</td>
          <td class="paramname"><em>NConfCommand</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="sm-helper_8c_source.html#l00159">159</a> of file <a class="el" href="sm-helper_8c_source.html">sm-helper.c</a>.</p>

</div>
</div>
<a id="a2e62366684e39ea94436bf017e416827"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2e62366684e39ea94436bf017e416827">&#9670;&nbsp;</a></span>get_value_int16()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="sm-helper_8h.html#aa49f1dbbf26f01627a5737cf43aad899">REQ_ERROR</a> get_value_int16 </td>
          <td>(</td>
          <td class="paramtype">const struct afb_req&#160;</td>
          <td class="paramname"><em>request</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>source</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int16_t *&#160;</td>
          <td class="paramname"><em>out_id</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="sm-helper_8c_source.html#l00048">48</a> of file <a class="el" href="sm-helper_8c_source.html">sm-helper.c</a>.</p>

</div>
</div>
<a id="ac5b0370643c520377afd3fd4891918d2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac5b0370643c520377afd3fd4891918d2">&#9670;&nbsp;</a></span>get_value_int32()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="sm-helper_8h.html#aa49f1dbbf26f01627a5737cf43aad899">REQ_ERROR</a> get_value_int32 </td>
          <td>(</td>
          <td class="paramtype">const struct afb_req&#160;</td>
          <td class="paramname"><em>request</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>source</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int32_t *&#160;</td>
          <td class="paramname"><em>out_id</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="sm-helper_8c_source.html#l00072">72</a> of file <a class="el" href="sm-helper_8c_source.html">sm-helper.c</a>.</p>

</div>
</div>
<a id="a649900645417f2df3a70b9ad67529f53"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a649900645417f2df3a70b9ad67529f53">&#9670;&nbsp;</a></span>get_value_uint16()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="sm-helper_8h.html#aa49f1dbbf26f01627a5737cf43aad899">REQ_ERROR</a> get_value_uint16 </td>
          <td>(</td>
          <td class="paramtype">const struct afb_req&#160;</td>
          <td class="paramname"><em>request</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>source</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint16_t *&#160;</td>
          <td class="paramname"><em>out_id</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="sm-helper_8c_source.html#l00024">24</a> of file <a class="el" href="sm-helper_8c_source.html">sm-helper.c</a>.</p>

</div>
</div>
<a id="abce7df03d817a3356071f1563011b77f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abce7df03d817a3356071f1563011b77f">&#9670;&nbsp;</a></span>sm_add_object_to_json_object()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void sm_add_object_to_json_object </td>
          <td>(</td>
          <td class="paramtype">struct json_object *&#160;</td>
          <td class="paramname"><em>j_obj</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>count</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>...</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="sm-helper_8c_source.html#l00096">96</a> of file <a class="el" href="sm-helper_8c_source.html">sm-helper.c</a>.</p>

</div>
</div>
<a id="a67cdeffaf2fd293c9f7de73c64e851a9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a67cdeffaf2fd293c9f7de73c64e851a9">&#9670;&nbsp;</a></span>sm_add_object_to_json_object_func()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void sm_add_object_to_json_object_func </td>
          <td>(</td>
          <td class="paramtype">struct json_object *&#160;</td>
          <td class="paramname"><em>j_obj</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>verb_name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>count</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>...</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="sm-helper_8c_source.html#l00110">110</a> of file <a class="el" href="sm-helper_8c_source.html">sm-helper.c</a>.</p>

</div>
</div>
<a id="a971c6c55c9b04ae87c377fbde6a4c6f6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a971c6c55c9b04ae87c377fbde6a4c6f6">&#9670;&nbsp;</a></span>sm_search_event_name_index()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int sm_search_event_name_index </td>
          <td>(</td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>value</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="sm-helper_8c_source.html#l00127">127</a> of file <a class="el" href="sm-helper_8c_source.html">sm-helper.c</a>.</p>

</div>
</div>
<a id="a2a63791cfba48b0456aefafe237e419e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2a63791cfba48b0456aefafe237e419e">&#9670;&nbsp;</a></span>sm_search_routing_event_name_index()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int sm_search_routing_event_name_index </td>
          <td>(</td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>value</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="sm-helper_8c_source.html#l00143">143</a> of file <a class="el" href="sm-helper_8c_source.html">sm-helper.c</a>.</p>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_fc265b39262ea2713c037617d421974d.html">R:</a></li><li class="navelem"><a class="el" href="dir_c0f9ac54811231ea41ecdb457a109fa8.html">SoundManagerBinding</a></li><li class="navelem"><a class="el" href="dir_0edebbbd890f462231084d11aa59ffa6.html">src</a></li><li class="navelem"><a class="el" href="sm-helper_8c.html">sm-helper.c</a></li>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.13 </li>
  </ul>
</div>
</body>
</html>
